Skip to main content
GET
/
v1
/
transaction-id-previews
/
{transactionIdPreviewId}
Read Transaction Id Preview
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/transaction-id-previews/{transactionIdPreviewId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "engagementId": "<string>",
  "analysisId": "<string>",
  "analysisSourceId": "<string>",
  "columnSelection": [
    123
  ],
  "type": "COMBINATION",
  "smartSplitter": true,
  "overallRating": "BLOCK",
  "indicators": {},
  "entryPreviews": [
    {
      "transactionId": "<string>",
      "balance": 123,
      "entryCount": 123,
      "detailRows": [
        {}
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transactionIdPreviewId
string
required

Response

200 - application/json

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

engagementId
string
deprecated
analysisId
string
deprecated
analysisSourceId
string

The unique identifier of the associated analysis source.

columnSelection
integer<int32>[]

The list of columns used to generate the transaction ID.

type
enum<string>

The type used when selecting a transaction ID.

Available options:
COMBINATION,
RUNNING_TOTAL
smartSplitter
boolean

Indicates whether or not the Smart Splitter was run when selecting a transaction ID.

overallRating
enum<string>

The quality of the transaction ID as rated by MindBridge.

Available options:
BLOCK,
FAIL,
POOR,
NEUTRAL,
GOOD
indicators
object

The data integrity checks used when selecting a transaction ID.

entryPreviews
Transaction ID Preview Row · object[]

Details about the transactions generated by this transaction ID selection.